.files {

    &__header {
        overflow: hidden;
        min-height: rem(44);
        padding: rem(8) rem(14);
        border-radius: 4px 4px 0 0;
        border: 1px solid var(--gray-20);
        background-color: var(--gray-5);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__download {
        opacity: 0;
        visibility: hidden;
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(15);
    }
}

.file-item {
    position: relative;
    color: var(--gray-70);
    font-size: rem(12);
    line-height: rem(16);
    text-decoration: none;
    overflow: hidden;
    padding: rem(8) rem(14);
    background-color: white;
    border: 1px solid var(--gray-20);
    border-top: none;
    display: flex;
    column-gap: rem(8);
    align-items: center;
    justify-content: space-between;

    &:last-child {
        border-radius: 0 0 4px 4px;
    }

    &__icon {
        width: rem(32);
        flex-shrink: 0;
        display: block;
    }

    &__content {
        flex-grow: 1;
        display: flex;
        row-gap: rem(4);
        flex-direction: column;
    }

    &__download {
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(16);
        height: rem(16);
        fill: var(--gray-20);
        flex-shrink: 0;
    }

    &__name {
        font-weight: 600;
    }

    @include media-breakpoint-up(md) {
        padding: rem(14) rem(14) rem(13) rem(14);
        font-size: rem(13);
        line-height: rem(20);

        &__icon {
            width: rem(48);
        }

        &__download {
            width: rem(24);
            height: rem(24);
        }
    }


    @include media-breakpoint-up(xl) {
        box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0);
        transition: var(--transition-time);


        &__download {
            transition: var(--transition-time);
        }

        &:hover {
            z-index: 20;
            box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0.15);
            transition: var(--transition-time);

            .file-item__download {
                fill: var(--blue);
                transition: var(--transition-time);
            }
        }
    }
}

.group-checked {
    .files__download {
        opacity: 1;
        visibility: visible;
    }
}
